package com.shiyanlou.dao.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;

import javax.persistence.*;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * @ClassName Role
 * @Description 角色实体
 * @Modify ...
 */
@Data
@Entity
@Table(name = "t_role")
public class Role {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    //角色名
    @Size(min = 2, max = 20)
    @Column(nullable = false, length = 20)
    private String name;

    //描述
    private String description;


    //权限列表
    @ManyToMany(cascade = CascadeType.DETACH, fetch=FetchType.EAGER)
    @JoinTable(name = "t_role_resource", joinColumns = @JoinColumn(name = "role_id", referencedColumnName = "id"),
            inverseJoinColumns = @JoinColumn(name = "resource_id", referencedColumnName = "id"))
    @JsonIgnore
    private List<Resource> resources;

    public List<Resource> getResources() {
        return resources;
    }

}
